Subject: RE: chmod suddenly ceased to work on old files - AFTER CYGWIN UPDATE
From: <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 5 Jul 2005 15:24:29 +0200

> According to FischRon.external AT infineon DOT com on 
> 7/4/2005 6:19 AM:
> >>And who knows, doing the update may even resolve your issue 
> >>with chmod
> > 
> > Unfortunately, it doesn't. chmod behaves still as before  :-(
> > 
> > I have enclosed an updated cygcheck log. Because of the 
> upgrade, I now
> > also
> > have the 'stat' command, so here is the output of stat. 
> Note that x is a
> > file where chmod does not work, while y is a "good" file:
> > 
> > $ stat x y
> >   File: `x'
> >   Size: 4               Blocks: 1          IO Block: 1024   
> regular file
> > Device: f7h/247d        Inode: 17462571716233526985  Links: 1
> > Access: (0700/-rwx------)  Uid: (56297/fischron)   Gid:
> > (10513/mkgroup_l_d)
> > Access: 2005-06-30 09:09:02.315724000 +0200
> > Modify: 2004-01-19 07:37:44.274608000 +0100
> > Change: 2005-07-01 21:34:10.959402000 +0200
> >   File: `y'
> >   Size: 4               Blocks: 1          IO Block: 1024   
> regular file
> > Device: f7h/247d        Inode: 17462571716233526986  Links: 1
> > Access: (0600/-rw-------)  Uid: (56297/fischron)   Gid:
> > (10513/mkgroup_l_d)
> > Access: 2005-06-28 09:07:20.109582000 +0200
> > Modify: 2005-07-04 14:17:51.193425000 +0200
> > Change: 2005-07-04 14:17:57.559365000 +0200
> 
> stat unfortunately does not show ACLs; running `getfacl x y' 
> might provide
> better information here.

getfacl shows no different information after the update than it did
before:

$ getfacl x y
# file: x
# owner: fischron
# group: mkgroup_l_d
user::rwx
group::---
group:Administrators:rwx
mask:rwx
other:---

# file: y
# owner: fischron
# group: mkgroup_l_d
user::rw-
group::---
mask:rwx
other:---

> > C:\cygwin\bin\id.exe output (ntsec)
> > UID: 56297(fischron)  GID: 10513(mkgroup_l_d)
> > 544(Administrators)   545(Users)
> > 10513(mkgroup_l_d)
> 
> Your group files are still out of date.  Running "mkgroup -l -d >
> /etc/group" and "mkpasswd -l -d > /etc/passwd" will help 
> here, and may be
> part of your problem.

I did it, but will this really be necessary? "-d" looks at the whole
domain, so I know ended up with a pretty huge /etc/group:

  $ wc /etc/group
  29439   30141 2262315 /etc/group

Actually I wasn't able to use "-d" with mkpasswd, because this command
hung, so I did a "mkpasswd -l >/etc/passwd" instead. Maybe I should
rerun mkgroup -l (without -d option)? 

But in any case, recreating the /etc/group file did nothing to remedy 
my problem.

> >   948k 2003/03/18 C:\cygwin\bin\cygwin1.dll - os=4.0 img=1.0 sys=4.0
> >                   "cygwin1.dll" v0.0 ts=2003/3/18 15:20
> >     Cygwin DLL version info:
> >         DLL version: 1.3.22
> 
> Did setup.exe ask you to reboot your machine, 

Yes, it did.

> and did you 
> ignore it?  

No, I rebooted it immediately afterwards.

Aside of this, I reboot my machine once per day anyway.

> You
> are still running 1.3.22, so the update process hasn't completed yet

I see now that I indeed have included an outdated cygcheck.txt in my
last posting (sorry for this), but your comment is nevertheless
valuable,because after the update, I had some problems with the "man"
command (man.conf was 
missing), and when I posted this problem to this mailing list, I got the
advice 
that maybe my setup hasn't completed properly and that I should run the 
postinstall for man.sh manually (which indeed remedied the man-problem);
so maybe 
there indeed went something wrong during setup. I checked the log files,
but the 
only possible hint for an error was the message

   2005/07/04 12:27:54 zsh
   2005/07/04 12:27:54 running: C:\cygwin\bin\sh.exe -c
/etc/postinstall/base-files-mketc.sh
   Unknown system type ; exiting

Is it safe to just re-run setup.exe? Would you suggest doing this?

But note that 

$ uname -a
CYGWIN_NT-5.0 mucw0291 1.5.18(0.132/4/2) 2005-07-02 20:30 i686 unknown
unknown Cygwin

So this lists version 1.5.18.

But I have rerun cygcheck and now include a *correct* version as
attachment.

Ronald
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/